io.vertx.json.schema.common

## Interface SchemaParserInternal

- All Superinterfaces:
    SchemaParser
  All Known Implementing Classes:
    BaseSchemaParser, Draft201909SchemaParser, Draft7SchemaParser, OpenAPI3SchemaParser

      public interface SchemaParserInternal
      extends SchemaParser

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default SchemaInternal` | `parse(Boolean jsonSchema)` Builds a true of false schema assigning a random scope
    `default SchemaInternal` | `parse(Boolean jsonSchema, JsonPointer schemaPointer)` Builds a true of false schema
    `default SchemaInternal` | `parse(JsonObject jsonSchema)` Build a schema from provided json assigning a random scope.
    `default SchemaInternal` | `parse(JsonObject jsonSchema, JsonPointer schemaPointer)` Build a schema from provided json.
    `default SchemaInternal` | `parse(Object jsonSchema, JsonPointer scope)`
    `SchemaInternal` | `parse(Object jsonSchema, JsonPointer scope, MutableStateValidator parent)`
    `default SchemaInternal` | `parse(Object jsonSchema, URI scope)`
    `default SchemaInternal` | `parse(Object jsonSchema, URI scope, MutableStateValidator parent)`
    `default SchemaInternal` | `parseFromString(String unparsedJson)` Build a schema from provided unparsed json assigning a random scope.
    `default SchemaInternal` | `parseFromString(String unparsedJson, JsonPointer schemaPointer)` Build a schema from provided unparsed json.
    `SchemaInternal` | `parseFromString(String unparsedJson, JsonPointer scope, MutableStateValidator parent)`
    `default SchemaInternal` | `parseFromString(String unparsedJson, URI scope)`
    `default SchemaInternal` | `parseFromString(String unparsedJson, URI scope, MutableStateValidator parent)`

    - ### Methods inherited from interface io.vertx.json.schema.SchemaParser

      `createDraft201909SchemaParser, createDraft7SchemaParser, createOpenAPI3SchemaParser, getSchemaRouter, withStringFormatValidator, withValidatorFactory`

- - ### Method Detail

    - #### parse

          default SchemaInternal parse(JsonObject jsonSchema)

      Description copied from interface: `SchemaParser`
      Build a schema from provided json assigning a random scope. This method registers the parsed schema (and relative subschemas) to the schema router
      Specified by:
        `parse` in interface `SchemaParser`
      Parameters:
        `jsonSchema` - JSON representing the schema
      Returns:
        the schema instance

    - #### parse

          default SchemaInternal parse(Boolean jsonSchema)

      Description copied from interface: `SchemaParser`
      Builds a true of false schema assigning a random scope
      Specified by:
        `parse` in interface `SchemaParser`
      Parameters:
        `jsonSchema` - JSON representing the schema
      Returns:
        the schema instance

    - #### parseFromString

          default SchemaInternal parseFromString(String unparsedJson)

      Description copied from interface: `SchemaParser`
      Build a schema from provided unparsed json assigning a random scope. This method registers the parsed schema (and relative subschemas) to the schema router
      Specified by:
        `parseFromString` in interface `SchemaParser`
      Parameters:
        `unparsedJson` - Unparsed JSON representing the schema.
      Returns:
        the schema instance

    - #### parse

          default SchemaInternal parse(JsonObject jsonSchema,
                                       JsonPointer schemaPointer)

      Description copied from interface: `SchemaParser`
      Build a schema from provided json. This method registers the parsed schema (and relative subschemas) to the schema router
      Specified by:
        `parse` in interface `SchemaParser`
      Parameters:
        `jsonSchema` - JSON representing the schema
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### parse

          default SchemaInternal parse(Boolean jsonSchema,
                                       JsonPointer schemaPointer)

      Description copied from interface: `SchemaParser`
      Builds a true of false schema
      Specified by:
        `parse` in interface `SchemaParser`
      Parameters:
        `jsonSchema` - JSON representing the schema
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### parse

          SchemaInternal parse(Object jsonSchema,
                               JsonPointer scope,
                               MutableStateValidator parent)

    - #### parse

          default SchemaInternal parse(Object jsonSchema,
                                       JsonPointer scope)

    - #### parse

          default SchemaInternal parse(Object jsonSchema,
                                       URI scope,
                                       MutableStateValidator parent)

    - #### parse

          default SchemaInternal parse(Object jsonSchema,
                                       URI scope)

    - #### parseFromString

          SchemaInternal parseFromString(String unparsedJson,
                                         JsonPointer scope,
                                         MutableStateValidator parent)

    - #### parseFromString

          default SchemaInternal parseFromString(String unparsedJson,
                                                 JsonPointer schemaPointer)

      Description copied from interface: `SchemaParser`
      Build a schema from provided unparsed json. This method registers the parsed schema (and relative subschemas) to the schema router
      Specified by:
        `parseFromString` in interface `SchemaParser`
      Parameters:
        `unparsedJson` - Unparsed JSON representing the schema.
        `schemaPointer` - Scope of schema. Must be a JSONPointer with absolute URI
      Returns:
        the schema instance

    - #### parseFromString

          default SchemaInternal parseFromString(String unparsedJson,
                                                 URI scope,
                                                 MutableStateValidator parent)

    - #### parseFromString

          default SchemaInternal parseFromString(String unparsedJson,
                                                 URI scope)

Copyright © 2021 Eclipse. All rights reserved.